Bug 1087010 - [abrt] bash: make_here_document(): bash killed by SIGSEGV
Summary: [abrt] bash: make_here_document(): bash killed by SIGSEGV
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: bash
Version: 19
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Oprala
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:95bb4914f800818a9691153b365...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-12 19:38 UTC by Simão Afonso
Modified: 2016-02-01 02:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-05 08:04:14 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (47.49 KB, text/plain)
2014-04-12 19:38 UTC, Simão Afonso
no flags Details
File: cgroup (141 bytes, text/plain)
2014-04-12 19:38 UTC, Simão Afonso
no flags Details
File: core_backtrace (2.34 KB, text/plain)
2014-04-12 19:38 UTC, Simão Afonso
no flags Details
File: dso_list (638 bytes, text/plain)
2014-04-12 19:38 UTC, Simão Afonso
no flags Details
File: environ (2.04 KB, text/plain)
2014-04-12 19:39 UTC, Simão Afonso
no flags Details
File: limits (1.29 KB, text/plain)
2014-04-12 19:39 UTC, Simão Afonso
no flags Details
File: maps (1.93 KB, text/plain)
2014-04-12 19:39 UTC, Simão Afonso
no flags Details
File: open_fds (90 bytes, text/plain)
2014-04-12 19:39 UTC, Simão Afonso
no flags Details
File: proc_pid_status (807 bytes, text/plain)
2014-04-12 19:39 UTC, Simão Afonso
no flags Details
coredump (1.45 MB, application/octet-stream)
2014-07-30 16:27 UTC, Simão Afonso
no flags Details

Description Simão Afonso 2014-04-12 19:38:25 UTC
Version-Release number of selected component:
bash-4.2.45-1.fc19

Additional info:
reporter:       libreport-2.2.0
backtrace_rating: 4
cmdline:        /bin/bash
crash_function: make_here_document
executable:     /usr/bin/bash
kernel:         3.13.9-100.fc19.i686
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Apr 12 17:02:37 SominiX201E-Fedora19 abrt-hook-ccpp[21243]: Saved core dump of pid 21192 (/usr/bin/bash) to /var/tmp/abrt/ccpp-2014-04-12-17:02:36-21192 (1515520 bytes)

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 make_here_document at make_cmd.c:580
 #1 gather_here_documents at ./parse.y:2545
 #2 read_token at ./parse.y:2932
 #3 yylex at ./parse.y:2519
 #4 yyparse at y.tab.c:2071
 #5 parse_command at eval.c:229
 #6 read_command at eval.c:273
 #7 reader_loop at eval.c:138

Comment 1 Simão Afonso 2014-04-12 19:38:36 UTC
Created attachment 885779 [details]
File: backtrace

Comment 2 Simão Afonso 2014-04-12 19:38:45 UTC
Created attachment 885780 [details]
File: cgroup

Comment 3 Simão Afonso 2014-04-12 19:38:50 UTC
Created attachment 885781 [details]
File: core_backtrace

Comment 4 Simão Afonso 2014-04-12 19:38:55 UTC
Created attachment 885782 [details]
File: dso_list

Comment 5 Simão Afonso 2014-04-12 19:39:01 UTC
Created attachment 885783 [details]
File: environ

Comment 6 Simão Afonso 2014-04-12 19:39:11 UTC
Created attachment 885784 [details]
File: limits

Comment 7 Simão Afonso 2014-04-12 19:39:18 UTC
Created attachment 885785 [details]
File: maps

Comment 8 Simão Afonso 2014-04-12 19:39:27 UTC
Created attachment 885786 [details]
File: open_fds

Comment 9 Simão Afonso 2014-04-12 19:39:45 UTC
Created attachment 885787 [details]
File: proc_pid_status

Comment 10 Ondrej Oprala 2014-07-30 08:52:01 UTC
Hi,
do you perhaps still have the core dump at /var/tmp/abrt/ccpp-2014-04-12-17:02:36-21192 ?

Comment 11 Simão Afonso 2014-07-30 16:26:39 UTC
I do. I just can't remember how did this bug came up, it was 3 months ago.

Comment 12 Simão Afonso 2014-07-30 16:27:11 UTC
Created attachment 922642 [details]
coredump

Comment 13 Ondrej Oprala 2014-08-05 08:04:14 UTC
No matter, the coredump helped a lot.
This issue is now fixed by bash-4.3 patchlevel 20.

Thanks for your help, I'm closing this one.


Note You need to log in before you can comment on or make changes to this bug.